# os_ipc.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/os_include/sys/os_types.h"`

Include dependency graph for os_ipc.h:

This graph shows which files directly or indirectly include this file:

## Defines

#define | ACE_INVALID_SEM_KEY 0
#define | IPC_PRIVATE ACE_INVALID_SEM_KEY
#define | IPC_STAT 0
#define | IPC_CREAT 0
#define | IPC_NOWAIT 0
#define | IPC_RMID 0
#define | IPC_EXCL 0

## Detailed Description

XSI interprocess communication access structure

Id
  os_ipc.h,v 1.3 2004/08/25 16:05:41 shuston Exp

Author:
  Don Hinton <dhinton@dresystems.com>

  This code was originally in various places including ace/OS.h.

## Define Documentation

#define ACE_INVALID_SEM_KEY 0

#define IPC_CREAT 0

#define IPC_EXCL 0

#define IPC_NOWAIT 0

#define IPC_PRIVATE ACE_INVALID_SEM_KEY

#define IPC_RMID 0

#define IPC_STAT 0